com.dlsc.flexgantt.swing

## Class MultiGanttChartContainerEvent

- java.lang.Object
- - java.util.EventObject
  - - com.dlsc.flexgantt.swing.MultiGanttChartContainerEvent

- All Implemented Interfaces:
    Serializable

      public class MultiGanttChartContainerEvent
      extends EventObject

  An event used to inform listeners about changes in a multi Gantt chart container.
  Since:
    1.0
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann
  See Also:
    `IMultiGanttChartContainer.addMultiGanttChartContainerListener(IMultiGanttChartContainerListener)`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MultiGanttChartContainerEvent.ID` An identifier used to distinguish between different types of multi Gantt chart container events.

  - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiGanttChartContainerEvent(IMultiGanttChartContainer container, MultiGanttChartContainerEvent.ID id, AbstractGanttChart gc)` Constructs a new container event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IMultiGanttChartContainer` | `getContainer()` The container where the event occured.
    `AbstractGanttChart` | `getGanttChart()` Returns the Gantt chart that was selected, added, inserted, or removed.
    `MultiGanttChartContainerEvent.ID` | `getId()` The event type ID.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiGanttChartContainerEvent

          public MultiGanttChartContainerEvent(IMultiGanttChartContainer container,
                                               MultiGanttChartContainerEvent.ID id,
                                               AbstractGanttChart gc)

      Constructs a new container event.
      Parameters:
        `container` - the container where the event occured
        `id` - the event type ID
        `gc` - the Gantt chart that was selected, added, inserted or removed
      Since:
        1.0

  - ### Method Detail

    - #### getContainer

          public IMultiGanttChartContainer getContainer()

      The container where the event occured.
      Returns:
        the container where the event occured
      Since:
        1.0

    - #### getId

          public MultiGanttChartContainerEvent.ID getId()

      The event type ID.
      Returns:
        the ID of the event
      Since:
        1.0

    - #### getGanttChart

          public AbstractGanttChart getGanttChart()

      Returns the Gantt chart that was selected, added, inserted, or removed.
      Returns:
        the Gantt chart that was selected, added, inserted, or removed
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.